Subject: RE: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt

From: "Ong, Lyndon" <[email-masked]>
Date: Mon, 3 Mar 2003 09:24:55 -0800

Hi Loa,

Sorry my comments were not as clear as could have been:

-- on the diagram, there should be a path leading away from
IETF activity (and perhaps looping back) when it is decided
that the work should be done outside IETF.  Figure this is
different from "dustbin" :o)

-- on the mailing lists, the current text is ambiguous as
to what specific group is addressed:
  "The mailing list to use should be the Area
   mailing list for the area that the working group that has specified
   the protocol being changed and that will likely be the requirement
   evaluation working group."

I wonder in fact if it should be the mailing list for the group 
dealing with the affected protocol, since that's where you'll
get people's attention.

-- on the "loophole", my thought was that if someone or group brings
in a proposal, a WG may volunteer to address it but not actually 
have time on its agenda, and thought there should be some way to
appeal or raise the issue if nothing is getting done. Since the 
procedure otherwise is designed to limit the alternatives once it
has been assigned within IETF, some counterbalance seems needed.

Thanks,

Lyndon

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]]
Sent: Saturday, March 01, 2003 7:36 AM
To: Ong, Lyndon
Cc: [email-masked]
Subject: Re: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt

Lyndon,

thanks - it looks like we are making progress - some questions/inline.

Ong, Lyndon wrote:

>Hi Folks,
>
>I support the request to stick to constructive comments.
>
>Of course that means avoiding statements like "The
>ITU has stepped out of bounds (again).  They deserve to be ignored."
>(Last I heard, SDH/OTN networks were within bounds of ITU ;o)
>
>Or "dogmatic statements of connection-oriented  religion" (these
>are, for gmpls, connection-oriented networks we're talking about ;0)
>
>Seriously, though, I do have some comments on the draft:
>
>-- the figure shows the only path outside of the IETF process to
>be a dustbin.  Hopefully that's not intentional, although a lot
>of folks on the list probably believe this ;o)
>
could you specify which path(s)

>
>
>-- there's some text mixed up in 2.2.1 regarding which mailing list
>should be used.
>
specific please - I intended to say the area list of the wg that 
specified the protocol,
can't see the mix up

>
>
>-- we should incorporate Deborah's suggestion for 2.2.2 about having
>the decision posted to the mailing list within a specified period  (the
>posting of a decision could apply to liaisons, and might have helped
>avoid the confusion with the ITU liaison)
>
I clearly sympatize with this, but since all decisions in the change
process are taken by I*, with the exception of the initial of being
where ADs and wg chairs, decides on whether to request chartiering the
req evaluation, are controlled by the I*, I think it is outside scope of
draft to specify how and when. It has been my assumption that this is
within the I* domain

>
>
>-- in 2.2.4, the paragraph after item (2) seems a little premature - 
>the recommendation by the rewg presumably must be approved by IESG/IAB
>before a decision is made.
>
OK, can see this - would this be feasible

   If IESG/IAB approves of a recommendation according to cases 1 & 2 the 
   IETF will not publish an RFC that attempts to get around the decision.

I complicates the flow chart a bit, but will be manageable, I can always
ask Bala to help ;)

>
>
>-- there is a bit of a loophole in that the problem could be accepted
>and farmed off to a WG but there's no check to see if anything is ever
>done, and items could easily fall through a crack given the large 
>numbers of work items usually in CCAMP and MPLS.  There could be a 
>procedure to revisit the decision in case no progress is being made
>within some specified timeframe.
>
no I htink tht this is not a loop hole - there is no way ever where you can
"farm a problem out" and expect the wg to do your job for you,  ti requires
youra active participation, IETF  is a community of co-workers not an
agency that takes assignments - every time you bring something in to the
IETF youd don't say "Here is something YOU should do while I go about 
minding
my own business", instead you should say "Here is something I think WE 
should do".

>
>
>-- in general, I hope people keep in mind that the scope of interest
>and the resources available in IETF are limited, and should not become a
>bottleneck - if work can be or is already being done in other bodies and 
>there is a process for IETF to review this work and identify potential
>problems or simpler/more general ways to do the desired function,
>this should be viewed as a generally positive thing.
>

agreed - that is why all the 4 bullets were insluded, and yes I agree as
long as the architecural issues and the safe guarding of opertional aspects
the Inernet are respected, but on the other hand bringing something to the
IETF and not being prepared to work on it is likely to create a "bottleneck"

>Cheers,
>Lyndon

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 03 Mar 2003 14:06:53 -0500

In message <[email-masked]>, "Ong,
> has been assigned within IETF, some counterbalance seems needed.

We should also add?

   +-------------+
   |  Is this a  |
   |  good idea? | --- YES --->  IETF process
   +-------------+
          |
         NO!
          |
          V
     Send it to the another
     standard body to reduce
     mailing list noise

That would be closer to current practice.  :-)

Curtis

---

From: Stephen Trowbridge <[email-masked]>
Date: Mon, 03 Mar 2003 12:35:37 -0700

Curtis,
I think that adding the branch is a big improvement, but I
don't like the value judgement implied by "Is this a good
idea?". Maybe a better phrase would be "Is this a good idea
within IETF's scope of work?". Other standards bodies don't work on
bad ideas either, but they do have different scopes of work that
they address. World Peace is a wonderful idea, but not really
within IETF's scope of work so we should send it to the UN instead.
Along the same lines, the target of the branch should be labeled
as "Send it to an SDO with a more appropriate scope", (and drop
the stuff about noise - noise for you may be signal within
somebody else's spectrum).
Regards,
Steve

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 03 Mar 2003 15:07:35 -0500

> somebody else's spectrum).

I guess you never realized that "out of scope" was often a euphemism
for "bad idea", as in "That work was been determined to be 'out of scope'
therefore [form a new WG, go somewhere else, etc]."

Anyway, it is closer to current practice.  Authors also take their
work elsewhere when they are faced with objections in IETF, then try
to bring it back in with a liason statement.  Example: MPLS-OAM.

Curtis

---

From: Loa Andersson <[email-masked]>
Date: Mon, 03 Mar 2003 23:57:13 +0100

Lyndon,

inline please!

/Loa

>different from "dustbin" :o)
shouldn't be a problem, i'll fix it

>   evaluation working group."
reason write it this way was to cover siutations where the working group
has be closed, this should work anyway because there is always a
guardian AD, with an aea list

>has been assigned within IETF, some counterbalance seems needed.
I think that wg will try to limit what they bring in to be within charter,
if they don't ADs will ;), so bringing something in will take a commitment
by people doing it, this should be espcially true if that work originates
in another SDO where it has a huge backing

/Loa